Infrastructure - Story #752

Refactor access control in D1Client when interfaces are defined
2010-08-10 17:28 - Chad Berkley

Status: Rejected Start date: 2010-10-06
Priority: High Due date:

Assignee: Chad Berkley % Done: 0%
Category: d1_libclient_java Estimated time: 0.00 hour
Target version: Sprint-2011.21-Block.3

Story Points:

Description
Refactor access control in D1Client when interfaces are defined

History

#1 - 2010-08-10 17:29 - Chad Berkley

This includes the methods setAccess() and login(). See todos in these methods.

#2 - 2010-10-06 16:43 - Chad Berkley
- Parent task set to #912

#3 - 2010-10-06 16:45 - Chad Berkley
- Tracker changed from Bug to Story

- Subject changed from Refactor access control in D1Client when interfaces are defined to As a developer, | want to refactor access control in
D1Client when interfaces are defined

- Start date set to 2010-10-06

#4 - 2010-10-06 16:46 - Chad Berkley
- Tracker changed from Bug to Story
- translation missing: en.field_remaining_hours set to 5.0

- Estimatedhours changed from 0.0 to 5

#5 - 2010-10-06 16:47 - Chad Berkley
- Tracker changed from Bug to Story

#6 - 2010-10-06 16:48 - Chad Berkley
- Tracker changed from Bug to Story

#7 - 2010-10-06 16:49 - Chad Berkley
- Tracker changed from Bug to Story
- Parent task deleted (#912)

#8 - 2010-10-06 16:54 - Chad Berkley

- Subject changed from As a developer, | want to refactor access control in D1Client when interfaces are defined to Refactor access control in
D1Client when interfaces are defined

#9 - 2010-11-09 18:39 - Matthew Jones
- Target version set to Sprint-2010.48

- Position set to 12
#10 - 2010-11-30 18:13 - Dave Vieglais
- Target version changed from Sprint-2010.48 to Sprint-2010.50
- Position deleted (44)

- Position set to 19

#11 - 2010-12-13 18:33 - Dave Vieglais
- Target version changed from Sprint-2010.50 to Sprint-2010.51
- Position deleted (33)

- Position set to 2

#12 - 2011-01-03 03:17 - Dave Vieglais
- Target version changed from Sprint-2010.51 to Sprint-2011.03

#13 - 2011-01-24 17:34 - Dave Vieglais
- Target version changed from Sprint-2011.03 to Sprint-2011.09-Block.2
- Position deleted (49)

- Position set to 11

#14 - 2011-03-07 17:41 - Dave Vieglais
- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.11-Block.2
- Position deleted (64)

- Position set to 1

#15 - 2011-03-17 16:11 - Dave Vieglais
- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2
- Position deleted (8)

- Position set to 3

#16 - 2011-03-22 13:57 - Dave Vieglais
- Target version changed from Sprint-2011.12-Block.2 to Sprint-2011.14-Block.2
- Position deleted (6)

- Position set to 1

#17 - 2011-04-05 01:48 - Dave Vieglais
- Target version changed from Sprint-2011.14-Block.2 to Sprint-2011.16-Block.2
- Position deleted (18)

- Position set to 1

#18 - 2011-04-25 15:48 - Dave Vieglais
- Target version changed from Sprint-2011.16-Block.2 to Sprint-2011.19-Block.3
- Position deleted (26)

- Position set to 3

#19 - 2011-05-16 18:02 - Dave Vieglais

- Target version changed from Sprint-2011.19-Block.3 to Sprint-2011.21-Block.3
- Position deleted (22)

- Position set to 1

#20 - 2011-05-31 15:26 - Dave Vieglais
- Status changed from New to Rejected

This is a dupe of #1070

2024-04-18 3/3


https://redmine.dataone.org/issues/1070
http://www.tcpdf.org

